package ovh.herisson.thevoidroad;

import org.bukkit.event.Listener;
import org.bukkit.plugin.java.JavaPlugin;

import ovh.herisson.thevoidroad.Commands.VoidCommands;
import ovh.herisson.thevoidroad.Event.HourEvent;

public class TheVoidRoad extends JavaPlugin implements Listener{

	public static String CoinGlyph = "Ⓥ"; // Ɣ, √, ▼, Ṿ, ṿ
	public static final DatabaseManager db = DatabaseManager.getInstance();

	@Override
	public void onEnable(){

		//Commands
		getCommand("void").setExecutor(new VoidCommands());
		getCommand("void").setTabCompleter(new VoidCommands());

		//Events
		getServer().getPluginManager().registerEvents(new HourEvent(), this); //For HourEvent
		getServer().getPluginManager().registerEvents(this, this);
	}

	@Override
	public void onDisable(){
		db.close();
	}
}
